﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace NewTravelClientMVC.Models
{
    public class Customer
    {
        public Guid CustomerId { get; set; }

        [Display(Name = "Nif/Cif")]
        public string NifCif { get; set; }

        [Display(Name = "Nom del Client")]
        public string Name { get; set; }

        [Display(Name = "Adreça")]
        public string Address { get; set; }

        [Display(Name = "Ciutat")]
        public string City { get; set; }

        [Display(Name = "Estat")]
        public string Country { get; set; }

        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }

        [DataType(DataType.Password)]
        public string Password { get; set; }

        public string CCC { get; set; }

        [Display(Name = "Latitud")]
        public string Latitude { get; set; }

        [Display(Name = "Longitud")]
        public string Longitude { get; set; }

        [Display(Name = "Client Actiu")]
        public bool Active { get; set; }

        public virtual ICollection<Order> Orders { get; set; }
    }
}