﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace NewTravelClientMVC.Models
{
    public class CartModel
    {
        public Guid ProductId { get; set; }
        [Display(Name="Nom del Producte")]
        public string Name { get; set; }
        
        [Display(Name="Preu Unitari")]
        [DisplayFormat(DataFormatString = "{0:C2}")]
        public double UnitPrice { get; set; }

        [Display(Name="Quantitat Disponible")]
        public int QuantityMax { get; set; }
        
        [Display(Name="Quantitat")]
        public int Quantity { get; set; }
        public bool Modify { get; set; }
    }
}