﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace NewTravelClientMVC.Models
{
    public class WebUser
    {
        [Required]
        [Display(Name= "Nom d'usuari")]
        public string UserName { get; set; }

        [Required]
        [DataType(DataType.Password)]
        [Display(Name="Contrasenya")]
        public string Password { get; set; }

        public bool RememberMe { get; set; }
        public Guid? UserId { get; set; }
        public int Roles {get; set;}
    
    }
}