﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace NewTravelAdminMVC.Models
{
    public class Stock
    {

        [Key]
        [Column(Order = 0)]
        public Guid StoreId { get; set; }
        [Key]
        [Column(Order = 1)]
        public Guid ProductId { get; set; }

        [Display(Name = "Quantitat")]
        public int Items { get; set; }

        [ForeignKey("StoreId")]
        [Display(Name = "Magatzem")]
        public virtual Store store { get; set; }

        [ForeignKey("ProductId")]
        [Display(Name = "Producte")]
        public virtual Product product { get; set; }
    }
}