﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Text;
using System.Web.Http;
using Newtonsoft.Json;
using NewTravelWebAPI.Models;

namespace NewTravelWebAPI.Areas.Client.Controllers
{
    public class CartController : ApiController
    {

        DbContextAPI _db = new DbContextAPI();



        public IEnumerable<Cart> Get(Guid id)
        {
            var cart = _db.Carts.Include("Product").Where(m => m.CustomerId == id).ToList();
            if (cart.Count > 0)
            {
                foreach (var c in cart)                
                    c.Name = c.Product.Name;                
                return cart;
            }
            else
                return null;
        }

        //[Sergi]
        public IEnumerable<Cart> Post([FromBody]object value)
        {                  
            try
            {
                //var dfg = this.ControllerContext.Request.Headers.Authorization.Parameter;                
                ////string v = value;//.Remove(0, 1);
                Cart cart = JsonConvert.DeserializeObject<Cart>(value.ToString());

                var repe = _db.Carts.Where(m => m.CustomerId == cart.CustomerId && m.ProductId == cart.ProductId).FirstOrDefault();
                var product = _db.Products.Find(cart.ProductId);

                cart.UnitPrice = product.UnitPrice;
                cart.CartId = Guid.NewGuid();
                
                if (repe != null)
                {
                    repe.Quantity += cart.Quantity;
                    _db.Entry(repe).State = System.Data.EntityState.Modified;
                }
                else
                    _db.Carts.Add(cart);
                _db.SaveChanges();

                return _db.Carts.Where(m => m.CustomerId == cart.CustomerId).ToList();
            }
            catch (Exception ex)
            {
                string ss = ex.Message;

            }
            return null;
        }

        [HttpDelete]
        public void Delete([FromBody]object value)
        {
            try
            {


                string authParameter = this.ControllerContext.Request.Headers.Authorization.Parameter;

                string plainAuthParameter = Encoding.UTF8.GetString(Convert.FromBase64String(authParameter));

                string Email = plainAuthParameter.Split(':')[0];
                string Password = plainAuthParameter.Split(':')[1];
                string Prova = plainAuthParameter.Split(':')[2];
                Guid d = Guid.Parse(Prova);

                var de = _db.Carts.Where(m => m.CustomerId == d).ToList();

                foreach (var v in de)
                {
                    _db.Carts.Remove(v);
                }
                _db.SaveChanges();

                string authScheme = this.ControllerContext.Request.Headers.Authorization.Scheme;

                var vetie = this.ControllerContext.Request.Headers.Authorization.Parameter;

                var dddd = _db.Products;



            }
            catch (Exception ex)
            {
                string err = ex.Message;
            }
        }


        //[HttpDelete]
        //public void Delete(Guid id)
        //{
        //    int v = 33;
        //}


    }
}
