﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;
using Newtonsoft.Json;
using NewTravelClientMVC.Models;
using NewTravelClientMVC.Models.Security;

namespace NewTravelClientMVC.Controllers
{
    [Authorize]
    public class HistoricalController : Controller
    {
        //
        // GET: /Historical/

        public async Task< ActionResult> Index()
        {
            if (Security.getCurrentGuid() != null)
            {
                var userId = Security.getCurrentGuid().Value;
                var v = await GetHistoricalOrdersByIdAsync(userId);
                return View(v);
            }
            System.Web.Security.FormsAuthentication.SignOut();
            return RedirectToAction("Login", "Account"); 
        }

        //
        // GET: /Historical/Details/5

        public ActionResult Details(int id)
        {
            return View();
        }

        //
        // GET: /Historical/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Historical/Create

        [HttpPost]
        public ActionResult Create(FormCollection collection)
        {
            try
            {
                // TODO: Add insert logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        //
        // GET: /Historical/Edit/5

        public ActionResult Edit(int id)
        {
            return View();
        }

        //
        // POST: /Historical/Edit/5

        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        //
        // GET: /Historical/Delete/5

        public ActionResult Delete(int id)
        {
            return View();
        }

        //
        // POST: /Historical/Delete/5

        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }




        public async Task<List<Order>> GetHistoricalOrdersByIdAsync(Guid id)
        {

            using (HttpClient httpClient = new HttpClient())
            {
                var address = WebAddress.HistoricalOrdersAddress + "/" + id.ToString();
                var v = await httpClient.GetStringAsync(address);
                return JsonConvert.DeserializeObject<List<Order>>(v);

                //"http://localhost:33504/Client/api/Products"
            }

        }
    }
}
