﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace NewTravelClientMVC.Models
{
    public class Cart
    {

        public Guid CartId { get; set; }

        public Guid CustomerId { get; set; }
        public Customer Customer { get; set; }

        public Guid ProductId { get; set; }
        public Product Product { get; set; }

        [Display(Name="Quantitat")]
        public int Quantity { get; set; }

        [Display(Name="Preu Unitari")]
        [DisplayFormat(DataFormatString = "{0:C2}")]
        public double UnitPrice { get; set; }

        [Display(Name="Nom del Producte")]        
        public string Name { get; set; }

        //public string CartId { get; set; }
        //[ForeignKey("CartId")]
        //public virtual Cart Cart { get; set; }
    }
}