﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace NewTravelClientMVC.Models
{
    public class Driver
    {
        [Key]
        public Guid DriverId { get; set; }
        public string LicenseId { get; set; }

        [Display(Name = "Conductor Actiu")]
        public bool Active { get; set; }

        public Guid? PreferedVehicleId { get; set; }

        [ForeignKey("DriverId")]
        public virtual Employee Employee { get; set; }

        public ICollection<VehicleCategory> VehicleTypes { get; set; }

        [NotMapped]
        public bool Assigned { get; set; }
    }
}