﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;
using Newtonsoft.Json;
using NewTravelAdminMVC.Models;

namespace NewTravelAdminMVC.Controllers
{
    public class RoutesController : Controller
    {
        //
        // GET: /Route/

        public ActionResult Index()
        {
            return View();
        }

        //
        // GET: /Route/Details/5

        public ActionResult Details(int id)
        {
            return View();
        }

        public ActionResult Create()
        {
            return View();
        }


        public async Task<ActionResult> CreateRoute()
        {
            var routes = await GetRoutesAsync();                            
            return PartialView ("_PartialRoute",routes);

        }

        

        [HttpPost]
        public ActionResult Create(FormCollection collection)
        {
            try
            {

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        //
        // GET: /Route/Edit/5

        public ActionResult Edit(int id)
        {
            return View();
        }

        //
        // POST: /Route/Edit/5

        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        //
        // GET: /Route/Delete/5

        public ActionResult Delete(int id)
        {
            return View();
        }

        //
        // POST: /Route/Delete/5
        [HttpPost]
        public ActionResult Insert(FormCollection to)
        {
            InsertRoutes(1);
            return RedirectToAction("Index");
        }

        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }


        public async Task<List<TransportRoute>> GetRoutesAsync()
        {
            using (HttpClient httpClient = new HttpClient())
            {
                return JsonConvert.DeserializeObject<List<TransportRoute>>(
                 await httpClient.GetStringAsync(WebAddress.RoutesAddress));
            }
        }

        public async Task<List<TransportRoute>> GetRoutesSaveAsync(int i)
        {
            using (HttpClient httpClient = new HttpClient())
            {
                return JsonConvert.DeserializeObject<List<TransportRoute>>(
                    await httpClient.GetStringAsync(WebAddress.RoutesAddress + "/i"));
            }
        }

        public Task<HttpResponseMessage> InsertRoutes(int product)
        {
            var address = WebAddress.RoutesAddress;
            HttpClient client = new HttpClient();
            return client.PostAsJsonAsync<int>(address, product);
        }
    }

    class rout
    {
        public string title { get; set; }
        public double lat { get; set; }
        public double lng { get; set; }
        public string description { get; set; }
    }
}
