﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace NewTravelAdminMVC.Models
{

    public class TimeToDestination : IComparable<TimeToDestination>
    {
        public double Distance { get; set; }

        public Guid TransportRouteId { get; set; }
        public TransportRoute TransportRoute { get; set; }

        public Guid TransportOrderId { get; set; }
        public TransportOrder TransportOrder { get; set; }

        public int Time { get; set; }

        public int CompareTo(TimeToDestination other)
        {
            return Time.CompareTo(other.Time);
        }
    }
}