﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace NewTravelAdminMVC.Models
{
    public class VehicleCategory
    {

        [Key]
        public Guid VehicleCategoryId { get; set; }

        [Required]
        [Display(Name = "Nom del tipus")]
        public string Name { get; set; }

        [Display(Name = "Tipus Actiu")]
        public bool Active { get; set; }

        public virtual ICollection<Vehicle> Vehicles { get; set; }

        public virtual ICollection<Driver> Drivers { get; set; }
    }
}