﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using NewTravelWebAPI.Models;

namespace NewTravelWebAPI.Areas.Admin.Controllers
{
    public class AdRoutesController : ApiController
    {
        DbContextAPI _db = new DbContextAPI();

        public IEnumerable<TransportRoute> Get()
        {
            Route route = new Route();

            //List<TransportRoute> rutes = null;
            DateTime dt =new DateTime();
            var rutes = _db.TransportRoutes.Include("TransportOrder").Where(m=>m.Date == dt).ToList();
            
            if (rutes == null || rutes.Count== 0)
                rutes = route.Inici(0);

            return rutes;
            //return new string[] { "value1", "value2" };
        }

        // GET api/adroutes/5
        public IEnumerable<TransportRoute> Get(int id)
        {
  

            return null;

        }

        // POST api/adroutes
        public void Post([FromBody]object value)
        {
            //TransportOrder to = new TransportOrder();
            Route route = new Route();

            DateTime dt = new DateTime();
            var rutes = _db.TransportRoutes.Include("TransportOrder").Where(m => m.Date == dt).ToList();
            if (rutes == null || rutes.Count == 0)
                rutes = route.Inici(1);
        }

        // PUT api/adroutes/5
        public void Put(Guid id, [FromBody]string value)
        {
        }

        // DELETE api/adroutes/5
        public void Delete(int id)
        {
        }


        protected override void Dispose(bool disposing)
        {
            _db.Dispose();
            base.Dispose(disposing);
        }
    }
}
