﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Net.Http;
//using System.Threading.Tasks;
using System.Web.Http;
using Newtonsoft.Json;
using NewTravelWebAPI.Models;

namespace NewTravelWebAPI.Areas.Admin.Controllers
{
    public class AdStocksController : ApiController
    {

        DbContextAPI _db = new DbContextAPI();

        public IEnumerable<Stock> Get()
        {
            var stocks = _db.Stocks.Include("Product").ToList();
            return stocks;
        }

        // GET api/adstocks/5
        public IEnumerable<Stock> Get(Guid id)
        {
            try
            {
                var stocks = _db.Stocks.Include("Store").Where(m => m.StoreId == id).ToList();

                return stocks;
            }
            catch (Exception ex)
            {
                var ss = ex.Message;

                return null;
            }
        }

        // POST api/adstocks
        public void Post([FromBody]object value)
        {
            var stock = JsonConvert.DeserializeObject<Stock>(value.ToString());
            var currentStock = _db.Stocks.Where(m => m.StoreId == stock.StoreId &&
                m.ProductId == stock.ProductId).FirstOrDefault();
            if (currentStock == null)
            {
                _db.Stocks.Add(stock);
            }
            else
            {
                ((Stock) currentStock).Items += stock.Items;
                 _db.Entry(currentStock).State = EntityState.Modified;
                //_db.Entry().CurrentValues.SetValues(modProduct);
            }
            _db.SaveChanges();




            //var stock = JsonConvert.DeserializeObject<Stock>(value.ToString());
            ////st.ProductId = Guid.NewGuid();
            //_db.Stocks.Add(stock);
            //_db.SaveChanges();


            //var st = _db.Stocks.Where(m => m.StoreId == stock.StoreId &&
            ////        m.ProductId == stock.ProductId).FirstOrDefault();
            ////    if (st == null)
            ////        _db.Stocks.Add(stock);
            ////    else
            ////    {
            ////        ((Stock)st).Items += stock.Items;
            ////        _db.Entry(st).State = System.Data.Entity.EntityState.Modified;
            ////    }
            ////    _db.SaveChanges();


        }

        // PUT api/adstocks/5
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/adstocks/5
        public void Delete(int id)
        {
        }

    }
}
