﻿using System.Web.Http;
using System.Web.Mvc;

namespace NewTravelWebAPI.Areas.Client
{
    public class ClientAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Client";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.Routes.MapHttpRoute(
                name: "Client_default",
                routeTemplate: "Client/api/{controller}/{id}",
                defaults: new {  id = UrlParameter.Optional }
            );
        }
    }
}
