﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
//using System.Web.Mvc;
using NewTravelWebAPI.Models;

namespace NewTravelWebAPI.Areas.Client.Controllers
{
    public class ActiveOrdersController : ApiController
    {
        DbContextAPI _db = new DbContextAPI();

        public IEnumerable<Order> Get(Guid id) 
        {            
            var orders = _db.Orders.Where(m => m.CustomerId == id && m.Delivery == null).OrderBy(m => m.Date).ToList();
            return orders;
        }


        protected override void Dispose(bool disposing)
        {
            _db.Dispose();
            base.Dispose(disposing);
        }

    }

    public class OrdersAPI
    {
        public Guid CustomerId { get; set; }
        public DateTime Date { get; set; }
        public Guid OrderId { get; set; }
        public DateTime? EstimatedDelivery { get; set; }
        public DateTime? Delivery { get; set; }
        public double TotalAmount { get; set; }
    }
}
