﻿using System.Web.Mvc;
using System.Web.Http;

namespace NewTravelWebAPI.Areas.Prova
{
    public class ProvaAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Prova";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {

            context.Routes.MapHttpRoute(
               name: "Prova_DefaultApi",
               routeTemplate: "Prova/api/{controller}/{id}",
               defaults: new { id = RouteParameter.Optional }
           );

            context.MapRoute(
                "Prova_default",
                "Prova/{controller}/{action}/{id}",
                new { action = "Index", id = UrlParameter.Optional }


            );
        }
    }
}
