﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace NewTravelWebAPI.Models
{
    public class Cart
    {

        public Guid CartId { get; set; }

        public Guid CustomerId { get; set; }
        public Customer Customer { get; set; }

        public Guid ProductId { get; set; }
        public Product Product { get; set; }
        
        public int Quantity { get; set; }
        public double UnitPrice { get; set; }

        [NotMapped]
        public string Name { get; set; }

        //public string CartId { get; set; }
        //[ForeignKey("CartId")]
        //public virtual Cart Cart { get; set; }
    }
}