﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace NewTravelWebAPI.Models
{
    public class OrderDetail
    {
        [Key]
        public Guid OrderDetailId { get; set; }

        public Guid OrderId { get; set; }
        public Order Order { get; set; }

        public Guid ProductId { get; set; }
        public virtual Product Product { get; set; }

        public int Quantity { get; set; }

        [DisplayFormatAttribute(DataFormatString = "{0:C}", ApplyFormatInEditMode = true)]
        public double UnitPrice { get; set; }

        public Guid? StoreId { get; set; }
    }
}