﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace NewTravelWebAPI.Models
{
    public class StoreRoute : IComparable<StoreRoute>
    {

        public Guid StoreRouteId { get; set; }

        public Guid StoreId { get; set; }
        public Store Store { get; set; }

        public double Distance { get; set; }
        public bool StoreCapable { get; set; }

        public int CompareTo(StoreRoute obj)
        {
            return Distance.CompareTo(obj.Distance);
        }
    }
}