﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Web;

namespace NewTravelWebAPI.Models
{
    public class Security
    {
        public static Guid? ValidateUser(string UserName, string Password)
        {
            using (SqlConnection oConn = new SqlConnection(
                    ConfigurationManager.ConnectionStrings["DefaultConnection1"].ConnectionString))
            {
                try
                {
                    Guid? UserId = null;
                    SqlCommand oComm = new SqlCommand(
                        "SELECT CustomerId, Name, Email, Password, Active FROM Customers " +
                        "WHERE Email=@Email AND Password=@Password AND Active=1", oConn);

                    oComm.Parameters.AddWithValue("@Email", UserName);
                    oComm.Parameters.AddWithValue("@Password", Password);

                    oConn.Open();

                    SqlDataReader oRead = oComm.ExecuteReader();

                    if (oRead.HasRows)
                    {
                        oRead.Read();
                        UserId = (Guid)oRead["CustomerId"];
                    }
                    oConn.Close();
                    return UserId;
                }
                catch (Exception ex)
                {
                    string err = ex.Message;
                }
                return null;
            }
        }

      

        public static WebUser ValidateEmployee(string userName, string password)
        {
            WebUser webUser = null;
             using (SqlConnection oConn = new SqlConnection(
                    ConfigurationManager.ConnectionStrings["DefaultConnection1"].ConnectionString))
            {
                try
                {
                    //Guid? UserId = null;
                    SqlCommand oComm = new SqlCommand(
                        "SELECT EmployeeId, Profile FROM Employees " +
                        "WHERE Email=@Email AND Password=@Password AND ActiveUser=1", oConn);

                    oComm.Parameters.AddWithValue("@Email", userName);
                    oComm.Parameters.AddWithValue("@Password", password);

                    oConn.Open();

                    SqlDataReader oRead = oComm.ExecuteReader();

                    if (oRead.HasRows)
                    {
                        oRead.Read();
                        webUser = new WebUser();
                        webUser.UserId = (Guid)oRead["EmployeeId"];
                        webUser.Roles = (int)oRead["Profile"];
                    }
                    oConn.Close();
                    return webUser;
                }
                catch (Exception ex)
                {
                    string err = ex.Message;
                }
                return null;
            }
        
           
        }


        public static void getUserRoles(string user, string Password, int Type )
        {

            
        }

        public static List<string> CreateRoleStringFromInt(int value)
        {
            List<string> RoleList = new List<string>();
            var binaryValue = Convert.ToString(value, 2);
            int count = -1;

            for (int i = binaryValue.Length - 1; i >= 0; i--)
            {
                count++;
                int bitValue = int.Parse(binaryValue[i].ToString());
                if (bitValue == 1)
                {
                    int valor = (int)System.Math.Pow(2, count);

                    string role = Enum.GetName(typeof(Roles), valor);
                    RoleList.Add(role);
                }
            }
            return RoleList;
        }

        private string[] CreateString(int value)
        {
            if (!(value > 0))            
                return null;
            
            
            string binary = Convert.ToString(value, 2);

            for(int i = binary.Length; i == 0; i--)
            {
                //if (binary[i] == 1
            }

            return null;
        }



        [Flags]
        public enum Roles
        {
            None = 0,
            User = 1,
            Office = 2,
            Driver = 4,
            Administrator = 8
        }


        public static Guid? provaser ()
        {
            if (HttpContext.Current.User.Identity.IsAuthenticated )
            {
                var cacheKey = string.Format("WebUser_{0}", HttpContext.Current.User.Identity.Name);
                if (HttpRuntime.Cache[cacheKey] != null)
                {
                    var ss = (WebUser)HttpRuntime.Cache[cacheKey];
                    return ss.UserId;
                }
                //return null;
                //HttpContext.Current.Session[0] 
            }
            return null;
        }


       
    }
}